> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/assigned-tasks/get-user-tasks-tags-by-user-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Returns task tags the user is allowed to see. GET https://api.awork.com/api/v1/users/{userId}/tasks/tags Returns task tags the user is allowed to see. The tags can be filtered by the properties of the task model. The user must have permission to access the requested resource. Reference: https://developers.awork.com/apiv1/assigned-tasks/get-user-tasks-tags-by-user-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `userId` (string, required) — The id of the user to get the tags for. ## Response ### 200 OK - `list of BaseTagModel` ## Types ### BaseTagModel The model used for the API. - `id` (string, optional) — The id of the entity. - `createdOn` (string, optional) — The date this entity was created. - `createdBy` (string, optional) — The id of the user who created this entity. - `updatedOn` (string, optional) — The date this entity was last modified. - `updatedBy` (string, optional) — The id of the user who last modified this entity. - `name` (string, optional, nullable) — The name of the tag. - `color` (string, optional, nullable) — The color of the tag. ## Examples **Response** ```json [ { "id": "123e4567-e89b-12d3-a456-426614174000", "createdOn": "2022-03-11T15:33:47.100Z", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "updatedOn": "2022-03-11T21:15:00.100Z", "updatedBy": "123e4567-e89b-12d3-a456-426614174000", "name": "Design", "color": "purple" } ] ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/users/userId/tasks/tags" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/users/userId/tasks/tags'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/users/userId/tasks/tags" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/users/userId/tasks/tags") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.awork.com/api/v1/users/userId/tasks/tags") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.awork.com/api/v1/users/userId/tasks/tags', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/users/userId/tasks/tags"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/users/userId/tasks/tags")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```